A lot of stuff does not list Linux, but still works. By a couple of versions, you mean 14.04 instead of 18.04, or 18.04 instead of 19.10? 14.04 will give problems, 18.04 might work. It also...